Skip to content

반송된 이메일 조회

get

/email/hard_bounces

이 엔드포인트를 사용하여 특정 기간 내에 이메일 메시지를 ‘하드 바운스’된 이메일 주소 목록을 가져올 수 있습니다.

Prerequisites

이 엔드포인트를 사용하려면 email.hard_bounces 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트에는 API 속도 제한 설명서에 명시된 대로 기본값 Braze 속도 제한인 시간당 250,000개의 요청이 적용됩니다.

요청 매개변수

날짜 범위에 하드 바운스 횟수가 limit 보다 많은 경우, 호출이 limit 보다 적거나 결과가 0이 될 때까지 매번 offset 을 증가시키면서 여러 번 API 호출을 수행해야 합니다. offsetlimit 매개 변수를 email 과 함께 포함하면 빈 응답을 반환할 수 있습니다.

요청 예시

1
2
curl --location --request GET 'https://rest.iad-01.braze.com/email/hard_bounces?start_date=2019-01-01&end_date=2019-02-01&limit=100&offset=1' \
--header 'Authorization: Bearer YOUR-API-KEY-HERE'

응답

항목은 내림차순으로 나열됩니다.

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
  "emails": [
    {
      "email": (string) an email that has hard bounced,
      "hard_bounced_at": (string) the time the email hard bounced in ISO 8601
    },
    {
      "email": (string) an email that has hard bounced,
      "hard_bounced_at": (string) the time the email hard bounced in ISO 8601
    },
    {
      "email": (string) an email that has hard bounced,
      "hard_bounced_at": (string) the time the email hard bounced in ISO 8601
    }
  ],
  "message": "success"
}
New Stuff!